%Exercise 1d

load rt_VP5

hist(rt_VP5, 100)
title('reaction times in [ms]')
%The distribution is right skewed, there are many short 
%reaction time but only a few long reactin times.

disp('mean and median')
mean(rt_VP5)
median(rt_VP5)

%mean and median are so different, because the distribution is not 
%a normal distribution - the mean is mean of the values, the median
%is the value for which half of the measurements are smaller.


indmaxrt = find(rt_VP5==max(rt_VP5)); %find index of the maximal value

rt_VP5(indmaxrt)= [];

disp('mean and median without maximum')
mean(rt_VP5)
median(rt_VP5)


%%
load rt_all

meanall = mean(rt_all, 1);
medianall = median(rt_all, 1);

hold on
figure()
subplot(1, 2, 1)
hist(meanall)
title('means of the persons')
subplot(1, 2, 2)
hist(medianall)
title('medians of the persons')
hold off

hold on
subplot(1, 2, 1)


%% other ways to delete the maximum value:
%% with a for loop
 newvec = [];
 
for n = 1:length(rt_VP5)
 if rt_VP5(n) < 3000
      newvec = [newvec rt_VP5(n)];
 end
end

%% with sort:
s=sort(rt_VP5);
l=length(rt_VP5);
new=s(1:l-1);



