function out=D3_1e_population_thresh(f,m,P,d,C)
%this function generates a vector of the size of a population P with a given
%fertility rate f and mortality rate m for a number of days d as long as
%the population is smaller than the threshhold C

if 0<=f && f<=1 && 0<=m && m<=1 && P==round(P) && d==round(d) && C==round(C)
    t=1;
    while t<=d && P(end)<=C;
        P(t+1)=(1+f-m)*P(t);
        t=t+1;
    end
else
    error ('your input is not correct')
end

out=P;

plot(P)